package DB;

import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.LinkedList;

public class serverImages {
	public static LinkedList<String> readFileDB(String fileName) {
		BufferedReader inputStream = null;
		LinkedList<String> fileList=new LinkedList<String>();
		try {
			inputStream =new BufferedReader(new FileReader(fileName));
			String l;
			while ((l = inputStream.readLine()) != null) {
				fileList.add(l);
			}
            if (inputStream != null) {
                inputStream.close();
            }
		} catch (FileNotFoundException fnfe) {
			System.err.println("File not found.");
			fnfe.printStackTrace();
		} catch (IOException ioe) {
			ioe.printStackTrace();
		} finally {
			if (inputStream != null) {
                try {
					inputStream.close();
				} catch (IOException ioe) {
					ioe.printStackTrace();
				}
            }
		}
		return fileList;
	}
	
	public static void writeFileDB(String fileName, String str, boolean addToEnd) {
        PrintWriter outputStream = null;
        try {
        	if(addToEnd) {
        		outputStream =new PrintWriter(new FileWriter(fileName,true));
        	} else {
        		outputStream =new PrintWriter(new FileWriter(fileName));
        	}
        	
        	outputStream.println(str);
        	if (outputStream != null) {
				outputStream.close();
            }
            
        } catch (FileNotFoundException fnfe) {
			fnfe.printStackTrace();
		} catch (IOException ioe) {
			ioe.printStackTrace();
		} finally {
			if (outputStream != null) {
				outputStream.close();
            }
		}
        
	}
}
