package UI;

import javax.swing.ImageIcon;
import javax.swing.JPanel;
import java.awt.Frame;
import java.awt.Image;

import javax.swing.JDialog;
import javax.swing.JLabel;
import java.awt.Rectangle;
import javax.swing.JButton;

public class ImageDialog extends JDialog {

	private static final long serialVersionUID = 1L;
	private JPanel jContentPane = null;
	private JLabel jLabel = null;
	private JButton jButton = null;

	/**
	 * @param owner
	 */
	public ImageDialog(Frame owner) {
		super(owner);
		initialize();
	}

	/**
	 * This method initializes this
	 * 
	 */
	private void initialize() {
		this.setSize(398, 352);
		this.setContentPane(getJContentPane());
	}

	/**
	 * This method initializes jContentPane
	 * 
	 * @return javax.swing.JPanel
	 */
	private JPanel getJContentPane() {
		if (jContentPane == null) {
			jLabel = new JLabel();
			jLabel.setBounds(new Rectangle(20, 18, 350, 240));
			jLabel.setText("Image");
			jContentPane = new JPanel();
			jContentPane.setLayout(null);
			jContentPane.add(jLabel, null);
			jContentPane.add(getJButton(), null);
		}
		return jContentPane;
	}

	/**
	 * This method initializes jButton	
	 * 	
	 * @return javax.swing.JButton	
	 */
	private JButton getJButton() {
		if (jButton == null) {
			jButton = new JButton();
			jButton.setBounds(new Rectangle(171, 278, 76, 30));
			jButton.setText("OK");
			jButton.addActionListener(new java.awt.event.ActionListener() {
				public void actionPerformed(java.awt.event.ActionEvent e) {
					dispose();
				}
			});
		}
		return jButton;
	}
	
	public void setImage(String image,String txt) {
		jLabel.setIcon(new ImageIcon(new ImageIcon(image).getImage().getScaledInstance(350, 240, Image.SCALE_DEFAULT)));
		jLabel.setText(txt);
		this.setTitle(txt);
		setVisible(true);
	}
	
}  //  @jve:decl-index=0:visual-constraint="10,10"
